Subject: Re: [PATCH v3 0/4] P2040/P2041 i2c recovery erratum

From: "[email-masked]" <[email-masked]>
Date: Tue, 25 May 2021 20:49:28 +0200

> For those reading along the v2 mentioned in that thread was posted as 
> https://lore.kernel.org/linux-i2c/[email-masked]/ 
> there was a bit of discussion but it seemed to die out without reaching 
> a conclusion.
> 
> The i2c-mpc driver is now using the generic recovery mechanism so that 
> addresses one bit of feedback from the original thread.

Yes, and the generic recovery has been improved since then. There is an
"incomplete_write_byte" fault injector now and the generic recovery
handles it correctly meanwhile. Before, it actually could cause a write
to happen but we are sending STOPs now.